1. Dns
Cold Mail Reseller
  • Cold Mail Reseller API Documentation
  • Users
    • Retrieve all users
      GET
    • Get User Details
      GET
    • Create User
      POST
    • Update User Details
      PUT
    • Delete User
      DELETE
  • Geo
    • Get Countries List
      GET
    • Get States of a Country
      GET
  • Domains
    • Renewal
      • Domain Renewal Overview
      • Get domain renewal pricing
      • Renew domain
      • Enable or disable domain auto-renew
    • Get Domains For User
      GET
    • Suggest Available Domains
      POST
    • Get Single Available Domain
      POST
    • Check If Google Workspace Exists
      POST
    • Add domain forwarding
      POST
    • Add email forwarding
      POST
    • Add Google Client ID to Domain
      POST
    • Remove domains
      DELETE
  • Dns
    • Get dns records for a domain
      GET
    • Adds dns record
      POST
    • Update dns records
      PUT
    • Delete dns records
      DELETE
  • Orders
    • Get Order Details
      GET
    • Get Order Status
      GET
    • Creates order json
      POST
    • Order mailboxes (json)
      POST
    • Process the Order
      POST
    • Create Order
      POST
    • Add mailboxes to a subscription
      POST
  • Mailboxes
    • Get mailboxes for user
    • Get mailbox details by id
    • Get Mailbox Admin Details
    • Update mailbox details
    • Remove mailbox
  • Subscriptions
    • Get All Subscriptions
    • Renew Subscriptions
    • Toggle Auto renewal
    • Cancel Subscription
  • Webhooks
    • Overview
    • Events
      • Domain Events
      • Subscription Events
      • Mailbox Events
      • Prewarmup Events
  • Export
    • Re-export a mailbox (Oauth)
  • Pre-warmup
    • Get all pre warmed up mailboxes
    • Order pre-warmedup mailboxes
  • Get Wallet Details
    GET
  • Send error
    POST
  1. Dns

Adds dns record

POST
/dns
Adds new DNS records for a domain.

Request Body#

FieldTypeRequiredDescription
domainstringYesDomain name to add DNS records for
recordsarrayYesArray of DNS record objects to be added

Record Object#

FieldTypeRequiredDescription
hoststringYesHost name for the DNS record
valuestringYesValue of the DNS record
recordTypestringYesType of DNS record (e.g., MX, TXT)

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Query Params

Body Params application/json

Example
{
  "domain": "example.com",
  "records": [
    {
      "host": "mail",
      "value": "mail.example.com",
      "recordType": "MX"
    },
    {
      "host": "_acme-challenge",
      "value": "randomChallengeString",
      "recordType": "TXT"
    }
  ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://customers.coldmailreseller.com/api/v1/integration/dns?userId=BVZGM5TE9BMP3PP0VWGW943RGV1K' \
--header 'cmr-x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "domain": "example.com",
  "records": [
    {
      "host": "mail",
      "value": "mail.example.com",
      "recordType": "MX"
    },
    {
      "host": "_acme-challenge",
      "value": "randomChallengeString",
      "recordType": "TXT"
    }
  ]
}'

Responses

🟢200Success
application/json
Body

Example
{
    "status": 200,
    "message": "DNS Records added successfully!",
    "data": null
}
🟠422Unprocessable Entity
Modified at 2025-10-29 17:06:38
Previous
Get dns records for a domain
Next
Update dns records
Built with